<template>
	
	<view class="page">
		<view class="form">
			<u-form :model="form" ref="uForm">
				<u-form-item label-width="150" label="审核用户" prop="curName">
					<u-input placeholder="请输入" v-model="curName" disabled="true" type="text"></u-input>
				</u-form-item>
				<u-form-item label-width="150" label="处理" prop="auth_state" required>
					<u-radio-group v-model="form.auth_state" active-color="#2979ff">
						<u-radio name="1">通过</u-radio>
						<u-radio name="2">拒绝</u-radio>
					</u-radio-group>
				</u-form-item>
				<!-- <u-form-item label-position="top" label-width="150" label="报备二维码(非必填)" prop="report_code">
					<view class="id_card" @click="uploadImage">
						<u-icon v-if="form.report_code == null" name="plus" size="32" color="#606266"></u-icon>
						<text v-if="form.report_code == null">请先上传报备二维码照片</text>
						<image v-if="form.report_code != null" :src="form.report_code" mode="aspectFill"></image>
					</view>
				</u-form-item>
				<u-form-item label-width="150" label="备注信息" prop="remark" label-position="top">
					<u-input placeholder="备注信息,将显示在报备的详情页面" v-model="form.remark" type="textarea"></u-input>
				</u-form-item> -->
			</u-form>
			<u-gap height="60"></u-gap>
			<u-button type="primary" @click="submitHandle">确定</u-button>
		</view>
	</view>
</template>
<script>
import { arrToObj } from '@/utils'
var that;
export default {
	data() {
		return {
			curName: '',
			curId: '',
			groupType: '',
			form: {
				auth_state: '1',
			},
		};
	},
	onLoad(params) {
		this.curId = params.id
		this.groupType = params.gt
		const dictObj = uni.getStorageSync('MD_dict')
		const groupTypeObj = arrToObj(dictObj.group_type)
		this.curName = `${params.name}(${groupTypeObj[params.gt]})`
	},
	// 必须要在onReady生命周期，因为onLoad生命周期组件可能尚未创建完毕
	onReady() {
		this.$refs.uForm.setRules(this.rules);
	},
	methods: {
		getTime(n) {
			let date = n ? new Date(n) : new Date()
			let year = date.getFullYear()
			let month = date.getMonth() + 1
			month = month > 9 ? month : '0' + month
			let day = date.getDate()
			day = day > 9 ? day : '0' + day
			let hour = date.getHours()
			hour = hour > 9 ? hour : '0' + hour
			let minute = date.getMinutes()
			minute = minute > 9 ? minute : '0' + minute
			let second = date.getSeconds()
			second = second > 9 ? second : '0' + second
			return `${year}-${month}-${day} ${hour}:${minute}:${second}`
		},
		uploadImgHandle (bc) {
			uni.chooseImage({
				count: 1,
				sizeType: ['compressed'],
				success: function(res) {
					const filePath = res.tempFilePaths[0];
					let token = uni.getStorageSync('MD_token') || ''
					uni.uploadFile({
						url: uni.baseUrl + 'api/upload/cloud',
						filePath,
						name: 'upload',
						formData: {
							'token': token
						},
						success: (f) => {
							const cData = JSON.parse(f.data)
							if (cData.errno === 0) {
								if (bc && typeof(bc) === 'function') bc(cData.data)
							} else {
								uni.$msg(cData.errmsg || `未知错误-${cData.errno}`)
							}
						}
					})
				}
			})
		},
		// 上传照片
		uploadImage() {
			this.uploadImgHandle((d) => {
				this.form.report_code = d.url
			})
		},
		submitHandle() {
			const that = this
			this.$refs.uForm.validate(valid => {
				if (valid) {
					let params = {
						...that.form,
						id: that.curId,
					}
					let str = 'apiuserauthedit'
					if (this.groupType == 1) str = 'apideptauthedit'
					uni.api.base[str](params).then(res => {
						uni.$msgConfirm('编辑成功', () => {
							uni.reLaunch({
								url: '/pages/saler/check'
							})
						}, () => {
							uni.reLaunch({
								url: '/pages/saler/check'
							})
						})
					})
				}
			});
		},


		// 以下是工具函数
		// 格式化日期的月份或天数的显示（小于10，在前面增加0）
		getFormatDate(value) {
			if (value == undefined || value == '') {
				return '';
			}
			var str = value;
			if (parseInt(value) < 10) {
				str = '0' + value;
			}
			return str;
		}
	}
};
</script>
<style lang="scss">
.page {
	background-color: #ffffff;
}

.form {
	border-radius: 10rpx;
	padding: 0 40rpx;
}

.popup-body {
	.tips-title {
		font-size: $u-p;
		margin-bottom: 20rpx;
	}

	.tips-content {
		font-size: $u-p2;
		color: $u-tips-color;
		margin-bottom: 60rpx;
	}
}

.id_card {
	color: #606266;
	width: 100%;
	height: 350rpx;
	display: flex;
	flex-direction: column;
	align-items: center;
	justify-content: center;
	background-color: #f4f5f6;
	font-size: $u-p2;
	border-radius: 10rpx;

	image {
		border-radius: 10rpx;
	}
}

.footer {
	position: relative;
	text-align: center;
	font-size: $u-p2;
	left: 0;
	bottom: 20rpx;
	.agreement {
		color: $u-theme-color;
	}
}

.slot-content {
	font-size: 28rpx;
	color: $u-content-color;
	padding: 20rpx;
}

.warp {
	display: flex;
	flex-direction: column;
	align-items: center;
	justify-content: center;
	height: 100%;
}

.rect {
	width: 400rpx;
	height: 400rpx;
	background-color: #fff;
}
</style>
